#ifndef _CONFIG_H_
#define _CONFIG_H_


#define FW_VERSION_HIGH		1
#define FW_VERSION_LOW		0

//#define DHCP_DEBUG

//=================================================
// Port define 

// Port A
#define USART2_CTS		GPIO_Pin_0	// in
#define USART2_RTS		GPIO_Pin_1	// out
#define USART2_TX		GPIO_Pin_2	// out
#define USART2_RX		GPIO_Pin_3	// in 

#define L01_IRQ			GPIO_Pin_4	// out  @@@@semi
#define WIZ_SCLK		GPIO_Pin_5	// out
#define WIZ_MISO		GPIO_Pin_6	// in
#define WIZ_MOSI		GPIO_Pin_7	// out

#define SPI_NSS2		GPIO_Pin_8	// out

#define USART1_TX		GPIO_Pin_9	// out
#define USART1_RX		GPIO_Pin_10	// in 
#define USART1_CTS		GPIO_Pin_11	// in
#define USART1_RTS		GPIO_Pin_12	// out

#define BUTTON_5		GPIO_Pin_13	// in
#define BUTTON_6		GPIO_Pin_14	// in
#define BUTTON_3		GPIO_Pin_15	// in


//#define USART1_STATUS	GPIO_Pin_13	// JTMS

//Port B

#define L01_CE			GPIO_Pin_0	// inout  @@@@semi
#define L01_CSN       		GPIO_Pin_1	// inout  @@@@semi


#define BOOT1			GPIO_Pin_2	// NOT controlled.
//#define JTDO			GPIO_Pin_3	// NOT controlled.
//#define JNTRST		GPIO_Pin_4	// NOT controlled.
#define BUTTON_2		GPIO_Pin_3	// in
#define BUTTON_1		GPIO_Pin_4	// in

//#define LINK_INPUT		GPIO_Pin_5	// in
//#define RXLED_INPUT		GPIO_Pin_6	// in
//#define TXLED_INPUT		GPIO_Pin_7	// in

#define TEST_LED_4		GPIO_Pin_5	// out
#define TEST_LED_5		GPIO_Pin_6	// out
#define TEST_LED_6		GPIO_Pin_7	// out

#define BUTTON_4		GPIO_Pin_8	// in   @@@@semi
#define nACT_LED		GPIO_Pin_9	// out
#define TEST_LED_0		GPIO_Pin_10	// out  @@@@semi
#define GPIO_2			GPIO_Pin_11	// inout

#define SPI_NSS1		GPIO_Pin_12	// out
#define SPI_SCLK		GPIO_Pin_13	// out
#define SPI_MISO		GPIO_Pin_14	// in
#define SPI_MOSI		GPIO_Pin_15	// out


// Port C
#define nRESET_W5100	GPIO_Pin_13	//out
#define USART1_STATUS	GPIO_Pin_14	//out
#define USART2_STATUS	GPIO_Pin_15	// out

#define TEST_LED_1	GPIO_Pin_13	//out
#define TEST_LED_2	GPIO_Pin_14	//out
#define TEST_LED_3	GPIO_Pin_15	//out

//=================================================
// Button define
#define KEY_INPUT	((GPIO_ReadInputDataBit(GPIOB, BUTTON_1)<<5)|(GPIO_ReadInputDataBit(GPIOB, BUTTON_2)<<4)|(GPIO_ReadInputDataBit(GPIOA, BUTTON_3)<<3)	\
			|(GPIO_ReadInputDataBit(GPIOB, BUTTON_4)<<2)|(GPIO_ReadInputDataBit(GPIOA, BUTTON_5)<<1)|(GPIO_ReadInputDataBit(GPIOA, BUTTON_6)))
#define KEY_NONE	0x3F
#define KEY_1		0x1F
#define KEY_2		0x2F
#define KEY_3		0x37
#define KEY_4		0x3B
#define KEY_5		0x3D	
#define KEY_6		0x3E	

//=================================================

#define LINK_ON 			0
#define LINK_OFF  		1

#define F_XON  			1
#define F_RTS  			2

#define SOCK_DATA0		0	//
#define SOCK_DATA1		1	//

#define SOCK_CONFIG		2	// UDP
#define SOCK_DNS		2	// UDP

#define SOCK_DHCP		3	// UDP
#define SOCK_DIRECT		3	// TCP

//#define MAX_BUF_SIZE		1460
#define MAX_BUF_SIZE		1460
#define MAX_SBUF_SIZE	1024

#define KEEP_ALIVE_TIME	30	// 30sec
#define PPP_TRIAL_COUNT		3

#define CHANNEL_1	0
#define CHANNEL_2	1

#define DNS_RETRY_CNT  5
#define ENABLE_TIMER_INT

#define ON	1
#define OFF	0

#define HIGH		1
#define LOW		0


// SRAM address range is 0x2000 0000 ~ 0x2000 4FFF (20KB)
#define SOCK_BUF_ADDR 	0x20004000
#define SIO_BUF_ADDR 	(SOCK_BUF_ADDR + MAX_BUF_SIZE)


#define ApplicationAddress 	0x08004000
#define ConfigAddr			0x0800FC00



#endif

