#include "spi.h"

/*******************************************************************************
* Function Name  : SPI1_Init
* Description    : Initialize nRF24L01 SPI interface
* Input          : None
* Output         : None
* Return         : None
*******************************************************************************/
void SPI1_Init(void)
{
      SPI_InitTypeDef   SPI_InitStructure;
      GPIO_InitTypeDef GPIO_InitStructure;
       
      GPIO_InitStructure.GPIO_Pin = GPIO_Pin_5|GPIO_Pin_6|GPIO_Pin_7;
      GPIO_InitStructure.GPIO_Mode = GPIO_Mode_AF_PP;;
      GPIO_InitStructure.GPIO_Speed=GPIO_Speed_50MHz;
      GPIO_Init(GPIOA, &GPIO_InitStructure);
      
      GPIO_InitStructure.GPIO_Pin = GPIO_Pin_0|GPIO_Pin_1;
      GPIO_InitStructure.GPIO_Mode = GPIO_Mode_Out_PP;
      GPIO_Init(GPIOB, &GPIO_InitStructure);
	
      CSN_HIGH();      
      CE_LOW();
	
      SPI_InitStructure.SPI_Direction = SPI_Direction_2Lines_FullDuplex;
      SPI_InitStructure.SPI_Mode = SPI_Mode_Master;
      SPI_InitStructure.SPI_DataSize = SPI_DataSize_8b;
      SPI_InitStructure.SPI_CPOL = SPI_CPOL_Low;
      SPI_InitStructure.SPI_CPHA = SPI_CPHA_1Edge;
      SPI_InitStructure.SPI_NSS = SPI_NSS_Soft;
      SPI_InitStructure.SPI_BaudRatePrescaler = SPI_BaudRatePrescaler_16;
      SPI_InitStructure.SPI_FirstBit = SPI_FirstBit_MSB;
      SPI_InitStructure.SPI_CRCPolynomial = 7;
      SPI_Init(SPI1, &SPI_InitStructure);
   
      SPI_Cmd(SPI1, ENABLE);
}

/*******************************************************************************
* Function Name  : hal_nrf_rw
* Description    : SPI command function
* Input          : SPI command data
* Output         : None
* Return         : SPI output data
*******************************************************************************/
u8 hal_nrf_rw(u8 data)
{
    	while(!(SPI1->SR & SPI_I2S_FLAG_TXE));
    	SPI1->DR = data;
    	while(!(SPI1->SR & SPI_I2S_FLAG_RXNE)); 
    	return SPI1->DR;   	
}
